#ifndef APP_UI_PROC_H
#define APP_UI_PROC_H

#include "t3gui/t3gui.h"

int ui_menu_update_item(ALLEGRO_MENU * menu, int id, void * data);
void ui_load_config(void);
void ui_update_buttons(APP_INSTANCE * app);

int ui_menu_proc_file_new(int id, void * data);
int ui_menu_proc_file_open(int id, void * data);
int ui_menu_proc_file_save(int id, void * data);
int ui_menu_proc_file_save_as(int id, void * data);
int ui_menu_proc_file_tags(int id, void * data);
int ui_menu_proc_file_exit(int id, void * data);

int ui_menu_proc_help_manual(int id, void * data);
int ui_menu_proc_help_about(int id, void * data);

char * ui_type_list_proc(int index, int * list_size, void * d);
char * ui_voice_list_proc(int index, int * list_size, void * d);
int ui_voice_add_button_proc(T3GUI_ELEMENT * d, void * data);
int ui_voice_delete_button_proc(T3GUI_ELEMENT * d, void * data);
int ui_voice_export_button_proc(T3GUI_ELEMENT * d, void * data);
int ui_voice_listen_button_proc(T3GUI_ELEMENT * d, void * data);

#endif
