#ifndef LOAD_PCX_H
#define LOAD_PCX_H

#include <allegro5/allegro.h>

typedef struct
{
	
	unsigned char r, g, b;
	
} PALETTE_ENTRY;

typedef struct
{
	
	PALETTE_ENTRY entry[256];
	
} PALETTE;

extern PALETTE current_palette;

ALLEGRO_BITMAP * load_pcx_f(ALLEGRO_FILE *f);
ALLEGRO_BITMAP * load_pcx(const char * fn);

#endif
