#ifndef CRSED_DRAW_H
#define CRSED_DRAW_H

void crsed_set_clipping_rectangle(ALLEGRO_TRANSFORM * tp, int x, int y, int w, int h);
void crsed_setup_transformation(void * data);

void crsed_draw_polygon(void * data, ALLEGRO_BITMAP * bp, POLY po, int cx, int cy, ALLEGRO_COLOR c1, ALLEGRO_COLOR c2);
void draw_circle(void * data, ALLEGRO_BITMAP * bp, int x, int y, int r, ALLEGRO_COLOR color);
void draw_filled_circle(void * data, ALLEGRO_BITMAP * bp, int x, int y, int r, ALLEGRO_COLOR color);
void draw_line(void * data, ALLEGRO_BITMAP * bp, int x1, int y1, int x2, int y2, ALLEGRO_COLOR color);
void draw_rectangle(void * data, ALLEGRO_BITMAP * bp, int x1, int y1, int x2, int y2, ALLEGRO_COLOR color);
void draw_filled_rectangle(void * data, ALLEGRO_BITMAP * bp, int x1, int y1, int x2, int y2, ALLEGRO_COLOR color);
void draw_masked_bitmap(void * data, T3F_ANIMATION * src, ALLEGRO_BITMAP * dest, int xx, int yy, int x, int y, int w, int h);
void draw_masked_bitmap2(void * data, ALLEGRO_BITMAP * src, ALLEGRO_BITMAP * dest, int xx, int yy, int x, int y, int w, int h);
void draw_stretched_sprite(void * data, ALLEGRO_BITMAP * dest, T3F_ANIMATION * src, int x, int y, int w, int h);
void draw_vflip_sprite(void * data, ALLEGRO_BITMAP * dest, T3F_ANIMATION * src, int x, int y);
void draw_rotated_sprite(void * data, ALLEGRO_BITMAP * dest, T3F_ANIMATION * src, int x, int y, al_fixed angle);
void draw_rotated_vflip_sprite(void * data, ALLEGRO_BITMAP * dest, T3F_ANIMATION * src, int x, int y, al_fixed angle);

#endif
