#include "t3f/t3f.h"
#include "t3gui/t3gui.h"

int d_crsed_image_proc(int msg, T3GUI_ELEMENT * d, int c)
{
	float ox, oy, scale_x, scale_y, dw, dh, r, dr;
	ALLEGRO_STATE old_state;

	switch(msg)
	{
		/* generate palette image */
		case MSG_START:
		{
			break;
		}
		case MSG_END:
		{
			break;
		}
		case MSG_DRAW:
		{
			r = (float)al_get_bitmap_height(d->dp) / (float)al_get_bitmap_width(d->dp);
			dr = (float)d->h / (float)d->w;
			if(r <= dr)
			{
				ox = 0;
				dw = d->w;
				oy = ((float)d->h - (float)d->w * r) / 2.0;
				dh = (float)d->w * r;
			}
			else
			{
				ox = ((float)d->w - (float)d->h / r) / 2.0;
				dw = (float)d->h / r;
				oy = 0;
				dh = d->h;
			}
			scale_x = dw / (float)al_get_bitmap_width(d->dp);
			scale_y = dh / (float)al_get_bitmap_height(d->dp);
			al_store_state(&old_state, ALLEGRO_STATE_BLENDER);
			al_set_blender(ALLEGRO_ADD, ALLEGRO_ONE, ALLEGRO_INVERSE_ALPHA);
			al_draw_tinted_scaled_bitmap(d->dp, d->theme->state[0].color[0], 0, 0, al_get_bitmap_width(d->dp), al_get_bitmap_height(d->dp), d->x + ox, d->y + oy, al_get_bitmap_width(d->dp) * scale_x, al_get_bitmap_height(d->dp) * scale_y, 0);
			al_restore_state(&old_state);
			break;
		}
	}
	return D_O_K;
}
