#include "t3f/t3f.h"
#include "t3gui/t3gui.h"

int d_crsed_palette_proc(int msg, T3GUI_ELEMENT * d, int c)
{
	float scale_x, scale_y;

	switch(msg)
	{
		/* generate palette image */
		case MSG_START:
		{
			break;
		}
		case MSG_END:
		{
			break;
		}
		case MSG_DRAW:
		{
			al_draw_scaled_bitmap(d->dp, 0, 0, al_get_bitmap_width(d->dp), al_get_bitmap_height(d->dp), d->x, d->y, d->w, d->h, 0);
			scale_x = (float)d->w / (float)al_get_bitmap_width(d->dp);
			scale_y = (float)d->h / (float)al_get_bitmap_height(d->dp);
			al_draw_rectangle(d->x + (float)(d->d1 % 16) * scale_x + 0.5, d->y + (float)(d->d1 / 16) * scale_y + 0.5, d->x + (float)(d->d1 % 16) * scale_x + scale_x - 1 + 0.5, d->y + (float)(d->d1 / 16) * scale_y + scale_y - 1 + 0.5, al_map_rgba_f(1.0, 1.0, 1.0, 1.0), 1.0);
			al_draw_rectangle(d->x + (float)(d->d1 % 16) * scale_x + 1 + 0.5, d->y + (float)(d->d1 / 16) * scale_y + 1 + 0.5, d->x + (float)(d->d1 % 16) * scale_x + scale_x - 2 + 0.5, d->y + (float)(d->d1 / 16) * scale_y + scale_y - 2 + 0.5, al_map_rgba_f(0.0, 0.0, 0.0, 1.0), 1.0);
			break;
		}
		case MSG_MOUSEDOWN:
		{
			ALLEGRO_MOUSE_STATE mouse_state;

			scale_x = (float)d->w / (float)al_get_bitmap_width(d->dp);
			scale_y = (float)d->h / (float)al_get_bitmap_height(d->dp);
			al_get_mouse_state(&mouse_state);
			d->d1 = (int)((float)(mouse_state.y - d->y) / scale_y) * 16 + (int)((float)(mouse_state.x - d->x) / scale_x);
			return D_REDRAWME;
		}
		case MSG_WANTFOCUS:
		{
			return D_WANTKEYBOARD;
		}
	}
	return D_O_K;
}
