#ifndef CRSEDGUI_H
#define CRSEDGUI_H

#include "instance.h"

#define CRSED_GUI_OBJECT_PROPERTIES_COLOR     0
#define CRSED_GUI_OBJECT_PROPERTIES_CONNECT   1
#define CRSED_GUI_OBJECT_PROPERTIES_ANGLE     2
#define CRSED_GUI_OBJECT_PROPERTIES_TIMER     3
#define CRSED_GUI_OBJECT_PROPERTIES_TIMER2    4
#define CRSED_GUI_OBJECT_PROPERTIES_SPEED     5
#define CRSED_GUI_OBJECT_PROPERTIES_SIZE      6
#define CRSED_GUI_OBJECT_PROPERTIES_DIRECTION 7
#define CRSED_GUI_OBJECT_PROPERTIES_SET_TARGET_LAYER 8
#define CRSED_GUI_OBJECT_PROPERTIES_SET_LAYER 9
#define CRSED_GUI_OBJECT_PROPERTIES_SET_TYPE 10

extern char crsed_edit_text[4][1024];

void crsed_fix_window_title(void * data);
void crsed_mark_change(void * data);
void crsed_set_cursor(void * data, ALLEGRO_SYSTEM_MOUSE_CURSOR cursor);

void crsed_center_dialogs(APP_INSTANCE * app, int w, int h);

void crsed_render_status(void * data);
void draw_handle(void * data, ALLEGRO_BITMAP * bp, int x, int y, ALLEGRO_COLOR color);
void crsed_camera_logic(void * data);

#endif
