#include "t3f/t3f.h"

#include "instance.h"

void crsed_image_logic(void * data)
{
	APP_INSTANCE * app = (APP_INSTANCE *)data;

	switch(app->selected_image)
	{
		case 0:
		{
			app->current_image = &app->course->image_bank.iconpic;
			break;
		}
		case 1:
		{
			app->current_image = &app->course->scoreboard.bgpic;
			break;
		}
		case 2:
		{
			app->current_image = &app->course->image_bank.victory_bgpic;
			break;
		}
		case 3:
		{
			app->current_image = &app->course->image_bank.victory_podiumpic;
			break;
		}
		case 4:
		{
			app->current_image = &app->course->image_bank.victory_cloudpic[0];
			break;
		}
		case 5:
		{
			app->current_image = &app->course->image_bank.victory_cloudpic[1];
			break;
		}
		case 6:
		{
			app->current_image = &app->course->image_bank.victory_trophypic[0];
			break;
		}
		case 7:
		{
			app->current_image = &app->course->image_bank.victory_trophypic[1];
			break;
		}
		case 8:
		{
			app->current_image = &app->course->image_bank.victory_trophypic[2];
			break;
		}
		case 9:
		{
			app->current_image = &app->course->image_bank.vert_pic[1][0];
			break;
		}
		case 10:
		{
			app->current_image = &app->course->image_bank.vert_pic[1][1];
			break;
		}
		case 11:
		{
			app->current_image = &app->course->image_bank.object_pic[0][0];
			break;
		}
		case 12:
		{
			app->current_image = &app->course->image_bank.object_pic[1][0];
			break;
		}
		case 13:
		{
			app->current_image = &app->course->image_bank.object_pic[2][0];
			break;
		}
		case 14:
		{
			app->current_image = &app->course->image_bank.object_pic[2][1];
			break;
		}
		case 15:
		{
			app->current_image = &app->course->image_bank.object_pic[3][0];
			break;
		}
		case 16:
		{
			app->current_image = &app->course->image_bank.object_pic[3][1];
			break;
		}
		case 17:
		{
			app->current_image = &app->course->image_bank.object_pic[4][0];
			break;
		}
		case 18:
		{
			app->current_image = &app->course->image_bank.object_pic[4][1];
			break;
		}
		case 19:
		{
			app->current_image = &app->course->image_bank.object_pic[4][2];
			break;
		}
		case 20:
		{
			app->current_image = &app->course->image_bank.object_pic[4][3];
			break;
		}
		case 21:
		{
			app->current_image = &app->course->image_bank.animal_pic[0][0];
			break;
		}
		case 22:
		{
			app->current_image = &app->course->image_bank.animal_pic[0][1];
			break;
		}
		case 23:
		{
			app->current_image = &app->course->image_bank.animal_pic[0][2];
			break;
		}
		case 24:
		{
			app->current_image = &app->course->image_bank.animal_pic[0][3];
			break;
		}
		case 25:
		{
			app->current_image = &app->course->image_bank.animal_pic[1][0];
			break;
		}
		case 26:
		{
			app->current_image = &app->course->image_bank.animal_pic[1][1];
			break;
		}
		case 27:
		{
			app->current_image = &app->course->image_bank.animal_pic[1][2];
			break;
		}
		case 28:
		{
			app->current_image = &app->course->image_bank.animal_pic[1][3];
			break;
		}
	}
}

void crsed_image_render(void * data)
{
	APP_INSTANCE * app = (APP_INSTANCE *)data;

	if(app->current_image)
	{
		t3f_draw_animation(*app->current_image, t3f_color_white, 0, 320 - (*app->current_image)->frame[0]->width / 2, 240 - (*app->current_image)->frame[0]->height / 2, 0, 0);
	}
}
